---
- name: Update packages
  ansible.builtin.apt:
    update_cache: true
    upgrade: true
    cache_valid_time: 3600
    autoremove: true
  become: true

- name: Check if .clone file exists
  ansible.builtin.stat:
    path: /root/.clone
  register: clone_file

- block:
  - name: Resize Disk
    ansible.builtin.include_tasks: resize.yml

  - name: Reset VM
    ansible.builtin.include_tasks: reset.yml

  - name: Create .clone file
    ansible.builtin.file:
      path: /root/.clone
      state: touch
      mode: '0644'

  when: clone_file.stat.exists == false
